/*
	Print some system info
*/

#include <ets_sys.h>
#include <osapi.h>
#include <os_type.h>
#include <gpio.h>
#include <user_interface.h>
#include "espmissingincludes.h"
#include "driver/uart.h"

#define DELAY 10 /* milliseconds */

extern int ets_uart_printf(const char *fmt, ...);


LOCAL os_timer_t adc_timer;

LOCAL void ICACHE_FLASH_ATTR adc_cb(void *arg) {
    char buffer[16];
    uint16_t adc = system_adc_read();
    ets_sprintf( buffer, "%d\r\n", adc );
    ets_uart_printf(buffer);
}

void user_rf_pre_init(void) {
}

void user_init(void) {
    // Configure the UART
    uart_init(BIT_RATE_115200, BIT_RATE_115200);


    // os_timer_disarm(ETSTimer *ptimer)
    os_timer_disarm(&adc_timer);
    // os_timer_setfn(ETSTimer *ptimer, ETSTimerFunc *pfunction, void *parg)
    os_timer_setfn(&adc_timer, (os_timer_func_t *)adc_cb, (void *)0);
    // void os_timer_arm(ETSTimer *ptimer,uint32_t milliseconds, bool repeat_flag)
    os_timer_arm(&adc_timer, DELAY, 1);
}
